<?php
/***************************************************************************
 *                              page_tail.php
 *                            -------------------
 *   begin                : Saturday, Feb 13, 2001
 *   copyright            : (C) 2001 The phpBB Group
 *   email                : support@phpbb.com
 *
 *   $Id: page_tail.php,v 1.27.2.4 2005/09/14 18:14:30 acydburn Exp $
 *
 *
 ***************************************************************************/

/***************************************************************************
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 ***************************************************************************/

if ( !defined('IN_PHPBB') )
{
	die('Hacking attempt');
}

global $do_gzip_compress;

//
// Show the overall footer.
//
$admin_link = ( $userdata['user_level'] == ADMIN ) ? '<a href="admin/index.' . $phpEx . '?sid=' . $userdata['session_id'] . '">' . $lang['Admin_panel'] . '</a><br /><br />' : '';

$template->set_filenames(array(
	'overall_footer' => ( empty($gen_simple_header) ) ? 'overall_footer.tpl' : 'simple_footer.tpl')
);

	/* Start  Smartors Page generation time for Admin only Hack */
	$excuted_queries 		= $db->num_queries;
	$mtime 					= microtime(); 
	$mtime 					= explode(" ",$mtime); 
	$mtime 					= $mtime[1] + $mtime[0]; 
	$endtime 				= $mtime; 
	$gentime 				= round(($endtime - $starttime), 1);
	/* End    Smartors Page generation time for Admin only Hack */
	
	$sql_percent			= round($db->sql_percent, 4);
	$sql_percent			= round($sql_percent / $gentime * 100);
	$php_percent			= 100 - $sql_percent;
	$sql_load				= ' Time: '. round($gentime * ('.'. $sql_percent), 1) .' ]';
	$php_load				= ' Time: '. round($gentime * ('.'. $php_percent), 1) .' ]';
	$php_percent			= '[ PHP Load: '. $php_percent .'%';
	$sql_percent			= '[ SQL Load: '. $sql_percent .'%';				
	$gzip 					= ($board_config['gzip_compress']) ? '[ GZIP: Enabled ]' : '[ GZIP: Disabled ]';
	$debug 					= (DEBUG == 1) ? '[ Debug: On ]' : '[ Debug: Off ]';
	
	#==== Dropped 5 SELECT sql's to 1
	$explode_selected		= explode('(*)', AFS_select());
	$returned_one			= $explode_selected[0];
	$returned_two			= $explode_selected[1];
	$returned_three			= $explode_selected[2];
	$returned_four			= $explode_selected[3];
	$returned_five			= $explode_selected[4];
	$returned_six			= $explode_selected[5];
	$returned_seven			= $explode_selected[6];
	$returned_eight			= $explode_selected[7];
	$returned_nine			= $explode_selected[8];							 
	
	#==== Dropped 6 UPDATE sql's to 1
	$check_one = ($returned_eight == date('Y-m-d')) ? '' : 1;
	$check_two = ($returned_nine > $returned_two) ? $returned_nine : '';
	AFS_update($excuted_queries, $check_one, $check_two, $check_one);
				
	if ($userdata['user_level'] == ADMIN)
		{
	$sql			= urlencode(serialize($db->query_log));	
	$query_form		= '<form name="querylogform" action="page_log.'.$phpEx.'" method="post" target="_blank">
					   <input type="hidden" name="mode" value="querylog">
					   <input type="hidden" name="sql" value="'.$sql.'">
					   </form>';					   
	$query_alert	= ' [ <a style="cursor: hand; " onclick="document.querylogform.submit();">Query Log</a> ] :: ';
		}				

	$line_1	= ':: [ Load Time: '. $gentime .' Seconds ] :: [ '. $excuted_queries .' Queries ] :: '. $query_alert .' [ '. number_format($returned_seven) .' Page(s) Viewed Today ] ::';
	$line_2	= ':: [ '. $returned_four .' ] :: [ '. $returned_five .' ] ::';
	$line_3	= ':: '. $sql_percent . $sql_load .' :: '. $php_percent . $php_load .' :: '. $debug .' :: '. $gzip .' ::';
	$send	= '<span class="gensmall">'. $line_1 .'<br>'. $line_2 .'<br>'. $line_3 .'</span>'. $query_form;		

	$template->assign_vars(array(
		'FOOTER_HACK' => $send)
	);

$template->assign_vars(array(
	'TRANSLATION_INFO' => (isset($lang['TRANSLATION_INFO'])) ? $lang['TRANSLATION_INFO'] : ((isset($lang['TRANSLATION'])) ? $lang['TRANSLATION'] : ''),
	'ADMIN_LINK' => $admin_link)
);

$template->pparse('overall_footer');

//
// Close our DB connection.
//
$db->sql_close();

//
// Compress buffered output if required and send to browser
//
if ( $do_gzip_compress )
{
	//
	// Borrowed from php.net!
	//
	$gzip_contents = ob_get_contents();
	ob_end_clean();

	$gzip_size = strlen($gzip_contents);
	$gzip_crc = crc32($gzip_contents);

	$gzip_contents = gzcompress($gzip_contents, 9);
	$gzip_contents = substr($gzip_contents, 0, strlen($gzip_contents) - 4);

	echo "\x1f\x8b\x08\x00\x00\x00\x00\x00";
	echo $gzip_contents;
	echo pack('V', $gzip_crc);
	echo pack('V', $gzip_size);
}

exit;

?>